/* SUPER()を使うため、GCD -OS すること */

#include "defines.h"

GrCopy64KR(ssx,ssy,sex,sey,dsx,dey)
/* 負方向グラフィック領域コピー（512*512:65536）*/
{
int ssp,y,x;
unsint *sgr0,*dgr0,*sgr,*dgr;
	ssp=SUPER(0);
	sgr0=(unsint *)(GRAM+(ssx*2)+sey*1024);
	dgr0=(unsint *)(GRAM+(dsx*2)+dey*1024);
	for (y=sey;y>=ssy;y--) {
		sgr=sgr0;
		dgr=dgr0;
		for (x=ssx;x<=sex;x++) *dgr++=*sgr++;
		sgr0-=512;
		dgr0-=512;
	}
	if (ssp>=0) SUPER(ssp);
}
